;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                        ;;
;;             Center for Spoken Language Understanding                   ;;
;;        Oregon Graduate Institute of Science & Technology               ;;
;;                         Portland, OR USA                               ;;
;;                        Copyright (c) 1999                              ;;
;;                                                                        ;;
;;      This module is not part of the CSTR/University of Edinburgh       ;;
;;               release of the Festival TTS system.                      ;;
;;                                                                        ;;
;;  In addition to any conditions disclaimers below, please see the file  ;;
;;  "license_ogi_tts.txt" distributed with this software for information  ;;
;;  on usage and redistribution, and for a DISCLAIMER OF ALL WARRANTIES.  ;;
;;                                                                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                       ;;
;;                Center for Spoken Language Understanding               ;;
;;                     Oregon Graduate Institute                         ;;
;;                         Copyright (c) 1998                            ;;
;;                        All Rights Reserved.                           ;;
;;                                                                       ;;
;;  Permission to use, copy, modify, distribute this software and its    ;;
;;  documentation for research, educational and individual use only, is  ;;
;;  hereby granted without fee, subject to the following conditions:     ;;
;;   1. The code must retain the above copyright notice, this list of    ;;
;;      conditions and the following disclaimer.                         ;;
;;   2. Any modifications must be clearly marked as such.                ;;
;;   3. Original authors' names are not deleted.                         ;;
;;  This software may not be used for commercial purposes without        ;;
;;  specific prior written permission from the authors.                  ;;
;;                                                                       ;;
;;  OREGON GRADUTE INSTITUTE AND THE CONTRIBUTORS TO THIS WORK           ;;
;;  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ;;
;;  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ;;
;;  SHALL OREGON GRADUATE INSTITUTE NOR THE CONTRIBUTORS BE LIABLE       ;;
;;  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ;;
;;  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ;;
;;  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ;;
;;  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ;;
;;  THIS SOFTWARE.                                                       ;;
;;                                                                       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                       ;;
;;       A German Voice for the Festival Speech Synthesis System         ;;
;;        Authors: Karin Mueller, Bettina Saeuberlich, Horst Meyer,      ;;
;;                 Mike Macon and Alan W Black                           ;;
;;          Date:  OGI, June/July 1998                                   ;;
;;                                                                       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
(defPhoneSet
  german-sampa
  ;;;  Phone Features
  (;; vowel or consonant
   (vc + -)  
   ;; vowel length: short long dipthong schwa
   (vlng s l d a 0)
   ;; vowel height: high mid low
   (vheight 1 2 3 -)
   ;; vowel frontness: front mid back
   (vfront 1 2 3 -)
   ;; lip rounding
   (vrnd + -)
   ;; consonant type: stop fricative affricative nasal liquid
   (ctype s f a n l 0)
   ;; place of articulation: labial alveolar palatal labio-dental
   ;;                         dental velar glottal uvular postalveolar
   (cplace l a p b d v g u t 0)
   ;; consonant voicing
   (cvox + -)
   )
  ;; Phone set members (features are not! set properly)
  ;;                   (they just have to be unique)
  (
   (_  - 0 - - - 0 0 -) ;; Pause
   (?  - 0 - - - 0 0 +) ;; Glottal stop (voiced pause!)  -- MWM
   (p - 0 - - - s l -) ;; Pier, aB
   (b - 0 - - - s l +) ;; Bier, KraBBe
   (t - 0 - - - s a -) ;; Tier, GraD
   (d - 0 - - - s a +) ;; Dir, eDel
   (k - 0 - - - s v -) ;; Kasse, taG
   (g - 0 - - - s v +) ;; Gasse, eGal
   (f - 0 - - - f b -) ;; Vogel, schlaF
   (v - 0 - - - f b +) ;; Wasser, eVentuell
   (s - 0 - - - f a -) ;; aSt, haSS
   (z - 0 - - - f a +) ;; Sieb, beSen
   (S - 0 - - - f t -) ;; Spt, aSCHe
   (Z - 0 - - - f t +) ;; Genie, DSCHungel
   (x - 0 - - - f v -) ;; naCH, doCH
   (C - 0 - - - f p -) ;; diCH, honiG
   (h - 0 - - - f g -) ;; Hut, aHorn
   (pf - 0 - - - a l -) ;; PFerd, toPF
   (ts - 0 - - - a a -) ;; Zwei, plaTZ
   (tS - 0 - - - a t -) ;; kuTSCHe, Cello
   (m - 0 - - - n l +) ;; Mut, haMMer
   (n - 0 - - - n a +) ;; Nase, kaNNe
   (N - 0 - - - n v +) ;; eNG, baNGe
   (l - 0 - - - l a +) ;; Liebe, haLLe
   (R - 0 - - - l u +) ;; Riese, kRaut 
   (6 + s 2 2 - 0 0 -) ;; opER, deR
   (j - 0 - - - f p +) ;; Jetzt, Jagd
   (eI + d 2 1 - 0 0 -) ;; plAYboy, nAItive (swabian: rEIf) 
   (aI + d 3 3 - 0 0 -) ;; EIns, kAIser
   (OY + d 2 3 - 0 0 -) ;; Uerung, nEU 
   (aU + d 1 3 - 0 0 -) ;; AUf, schAU  
   (@ + a 2 2 - 0 0 -)  ;; sehEn, bEsagt
   (i: + l 1 1 - 0 0 -)  ;; Igel, bIEten
   (I + s 1 1 - 0 0 -)  ;; In, bItten
   (y: + l 1 1 + 0 0 -)  ;; UEbung, hUEten
   (Y + s 1 1 + 0 0 -)  ;; Ypsilon, hUEtten
   (e: + l 2 1 - 0 0 -)  ;; bEten, schnEE
   (E + s 2 1 - 0 0 -)  ;; bEtten, gAEste
   (E: + l 2 1 - 0 0 -)  ;; AEsen, geblAEse
   (2: + l 2 1 + 0 0 -)  ;; OEfen, mOEgen
   (9 + s 2 1 + 0 0 -)  ;; OEffnen, kOEnnen
   (u: + l 1 3 + 0 0 -) ;; bUHlen, gUt
   (U + s 1 3 + 0 0 -)  ;; lUstig, bUtter         
   (o: + l 2 3 + 0 0 -)  ;; Ofen, kOHl
   (O + s 2 3 + 0 0 -)  ;; Offen, tOpf
   (a: + l 3 3 - 0 0 -)  ;; wAr, wAHr  
   (a + s 3 3 - 0 0 -) ;; An, kAnn
   (E~: + l 2 3 - n 0 -) ;; bulletIN
   (a~: + l 3 3 - n 0 -) ;; pendANT
   (9~: + l 1 2 - n 0 -) ;; parfUM
   (o~: + l 1 1 - n 0 -) ;; feuilletON
   (E~  + s 2 3 - n 0 -) ;; IMpair
   (a~  + s 3 3 - n 0 -) ;; pENdant
   (o~  + s 1 1 - n 0 -) ;; nONchalant
  )
)
(PhoneSet.silences '(_ ?))

(provide 'german-sampa_phones)