;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                        ;;
;;             Center for Spoken Language Understanding                   ;;
;;        Oregon Graduate Institute of Science & Technology               ;;
;;                         Portland, OR USA                               ;;
;;                        Copyright (c) 1999                              ;;
;;                                                                        ;;
;;      This module is not part of the CSTR/University of Edinburgh       ;;
;;               release of the Festival TTS system.                      ;;
;;                                                                        ;;
;;  In addition to any conditions disclaimers below, please see the file  ;;
;;  "license_ogi_tts.txt" distributed with this software for information  ;;
;;  on usage and redistribution, and for a DISCLAIMER OF ALL WARRANTIES.  ;;
;;                                                                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  This file is additional code NOT INCLUDED with the Festival TTS 
;;;   system as distributed by CSTR/University of Edinburgh.  
;;;
;;;  Festival is being redistributed with permission of CSTR as part of 
;;;   the CSLU Toolkit.   
;;;
;;;  The CSLU Toolkit and this code are 
;;;    Copyright (C)1997 Center for Spoken Language Understanding,
;;;                      Oregon Graduate Institute of Science & Technology
;;;
;;; In addition to conditions disclaimers below, please see the file "license.ogi" 
;;; for information on usage and redistribution, and for a DISCLAIMER OF ALL WARRANTIES.
;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  Postlexical rules for German
;;;  Bettina Saeuberlich 7/14/98


;; nice try

;;(define (Add_Syllables utt)
;;  "(Add_Syllables UTT)
;;Adds the names of the syllables to the syllable-relation"
;;  (mapcar
;;   (lambda (syl)
;;     (let ((syl-name ""))
;;       (mapcar 
;;	(lambda (seg)
;;	  (if (equal? (item.parent seg) syl)
;;	      (set! syl-name (string-append syl-name (item.feat seg 'name)))
;;	      (if (equal? (item.daughtern syl) seg)
;;		  (item.set_feat syl "name" syl-name))))
;;	(utt.relation.items utt 'Segment))))
;;   (utt.relation.items utt 'Syllable))
;;  utt)


(define (Stop_before_Vowel utt) 
  "(Stop_before_Vowel UTT)
Adds a glottal stop before a word beginning with a vowel.."
  (mapcar
   (lambda (seg)
     (if (and (not (string-equal (item.feat seg 'n.R:SylStructure.parent.parent.name) (item.feat seg 'R:SylStructure.parent.parent.name)))
	      (not (string-equal (item.name seg) "_"))
	      (string-equal (item.feat seg 'n.ph_vc) "+"))
	   (item.insert seg (list "?") 'after)))   
   (utt.relation.items utt 'Segment))
  utt)




;; one would need the function Name_Syls for this

(define (Stop_after_Prefix utt)
  "(Stop_after_Prefix UTT)
Adds a glottal stop between prefix and syllable beginning with a vowel"
  (mapcar
   (lambda (seg)
     (if (and (or (string-matches (item.feat seg 'R:SylStructure.parent.name) "\\(Ent\\|Um\\|aUs\\|dIs\\|dEs\\|Un\\|mIs\\|fER\\|In\\|g@\\|ko:\\|b@\\|ap\\)")
		  (and (string-matches (item.feat seg 'R:SylStructure.parent.name) "d@R")
		       (string-matches (item.feat seg 'R:SylStructure.parent.p.name) "vi:")))
	      (string-equal (item.feat seg 'n.ph_vc) "+")
	      (not (string-equal (item.feat seg 'R:SylStructure.parent.name) (item.feat seg 'n.R:SylStructure.parent.name))))
	   (item.insert seg (list "?") 'after)))
   (utt.relation.items utt 'Segment))
  utt)


(provide 'german_postlex)


